// Variables
//
// Variables should follow the `$component-state-property-size` formula for
// consistent naming. Ex: $nav-link-disabled-color and $modal-content-box-shadow-xs.

// Color system

$white: #fff !default;
$gray-100: #f8f9fa !default;
$gray-200: #e9ecef !default;
$gray-300: #dee2e6 !default;
$gray-400: #ced4da !default;
$gray-500: #adb5bd !default;
$gray-600: #6c757d !default;
$gray-700: #495057 !default;
$gray-800: #343a40 !default;
$gray-900: #212529 !default;
$black: #000 !default;

$grays: () !default;
// stylelint-disable-next-line scss/dollar-variable-default
$grays: map-merge(
    (
        '100': $gray-100,
        '200': $gray-200,
        '300': $gray-300,
        '400': $gray-400,
        '500': $gray-500,
        '600': $gray-600,
        '700': $gray-700,
        '800': $gray-800,
        '900': $gray-900
    ),
    $grays
);

$blue: #273679 !default;
$indigo: #6610f2 !default;
$purple: #6f42c1 !default;
$pink: #e83e8c !default;
$red: #c0343f !default;
$orange: #fd7e14 !default;
$yellow: #ffc107 !default;
$green: #28a745 !default;
$teal: #20c997 !default;
$cyan: #17a2b8 !default;

$colors: () !default;
// stylelint-disable-next-line scss/dollar-variable-default
$colors: map-merge(
    (
        'blue': $blue,
        'indigo': $indigo,
        'purple': $purple,
        'pink': $pink,
        'red': $red,
        'orange': $orange,
        'yellow': $yellow,
        'green': $green,
        'teal': $teal,
        'cyan': $cyan,
        'white': $white,
        'gray': $gray-600,
        'gray-dark': $gray-800
    ),
    $colors
);

$primary: $blue !default;
$secondary: $gray-600 !default;
$success: $green !default;
$info: $cyan !default;
$warning: $yellow !default;
$danger: $red !default;
$light: $gray-100 !default;
$dark: $gray-800 !default;

$theme-colors: () !default;
// stylelint-disable-next-line scss/dollar-variable-default
$theme-colors: map-merge(
    (
        'primary': $blue,
        'secondary': $secondary,
        'success': $success,
        'info': $info,
        'warning': $warning,
        'danger': $danger,
        'light': $light,
        'dark': $dark
    ),
    $theme-colors
);

@import 'bootstrap/scss/bootstrap';

/* width */
::-webkit-scrollbar {
    width: 0.3em;
    height: 0.3em;
}

::-webkit-scrollbar-track-piece {
    background-color: transparent;
}

/* Track */
::-webkit-scrollbar-track {
    background: transparent;
    border-radius: 0.1em;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 0.1em;
    transition: all 0.5s;
}

*:hover::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #555;
}

body {
    font-size: 14px;
    font-family: 'Times New Roman', Times, serif;
}

.text-main {
    color: #273679;
}

.text-red {
    color: #ed2228;
}

.ant-popover {
    z-index: 100000 !important;
}

// .ant-pagination-item-active {
//     background-color: #273679;
//     color: #fff;
// }

#main-header {
    box-shadow: 0 1px 4px rgba(0, 21, 41, 0.08);
}

//xóa khi bỏ bootstrap
button > span.anticon {
    vertical-align: 0.125em !important;
}
.anticon.ant-dropdown-menu-submenu-arrow-icon {
    vertical-align: 0.125em !important;
}
#main-sider .anticon {
    vertical-align: 0.125em;
}
//end

.ant-select-item-option-disabled {
    color: inherit !important;
    background-color: #adb0b8;
}

.ant-tabs-tab {
    margin-right: 0 !important;
}
.item-question {
    .ant-radio-inner,
    .ant-checkbox-inner {
        border: 1px solid $red !important;
    }
    color: $red;
}

.ant-comment-actions {
    margin-top: 0 !important;
}

.container-style {
    background: white;
    border-radius: 10px !important;
    padding: 0.8em;
}
.check-box-answer-right {
    .ant-checkbox-inner {
        border: 1px solid blue !important;
    }
}
.check-box-answer-not-correct {
    .ant-checkbox-inner {
        border: 1px solid red !important;
    }
}
